package com.gzlh.event;

import com.gzlh.dto.EventDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Slf4j
public class EventBus {
    private List<EventDTO> eventDTOList;

    public void setEventDTOList(List<EventDTO> eventDTOList) {
        this.eventDTOList = eventDTOList;
    }

    public void start(String eventName){
        EventThread thread = new EventThread(eventName);
        thread.setEventDTOList(eventDTOList);
        thread.start();
    }
}
